#include <dv-processing/io/camera/dvxplorer.hpp>

int main() {
	// Open a DVXplorer camera
	dv::io::camera::DVXplorer capture{};

	// Configure event sensitivity. Range 0-17, default 9.
	capture.setContrastThresholdOn(9);
	capture.setContrastThresholdOff(9);

	// Configure event-frame readouts per second (here variable 5000 FPS, the default value)
	// See detailed API documentation for other available values
	capture.setReadoutFPS(dv::io::camera::DVXplorer::ReadoutFPS::VARIABLE_5000);

	// Enable global hold setting (already the default)
	capture.setGlobalHold(true);
	// Disable global reset setting (already the default)
	capture.setGlobalReset(false);

	return 0;
}
